KJL BUGS - Feature #2949

[HR-TimeData]Generate Working Schedule pada saat di generate bisa juga untuk insert ke phrpa125
08/05/2024 11:12 AM - Muhammad Bintar

Status: Closed Start date: 08/05/2024
Priority: Normal Due date: 08/09/2024
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

dear tim developer mohon supportnya untuk pengecekan pada menu generate working schedule dimana pada saat di generate,
tidak menginsert ke phrpa125.

contoh employee 22050250 & 24050154
kode working schedule CNPA (crusher and pelet group A)

referensi ada di port hino dev
http:/remote.minovais.com:3000/redmine/issues/2686

sudah di deploy semua tapi belum berfungsi.

remote.minovais.com:11138
database sql server 2014
remote.minovais.com, 1442
KJL_BaseServer66

History

#1 - 08/05/2024 02:21 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
- Priority changed from Normal to High

Bintar,

ini di KJL sudah ada belum ya field PWS di tabel parameter Work Schedule Type?

Setau saya kita udah bikinin standar nya bahwa kl di Pparameter WS Type isPWS nya Yes maka akan kegenerate PWS nya saat Work Schedule
calendarnya di generate.

Kalau itu belum ada, tolong cek di port demo atau port easy apa sudah di update belum dan pakai fungsi itu buat generete PWS nya.

Tnya dI ke Haykal, apa ini sudah ada di port Easy? atau Bintar cek jg ke port demo ya. seinget saya yg waktu itu update ini adalah azid
Tks
#2 - 08/06/2024 10:34 AM - Muhammad Bintar

- Assignee changed from Muhammad Bintar to M Azid Wahyudi
- Priority changed from High to Low

Dear mbak yaya,

yang soal pembuatan generate working schedule bisa insert ke md personal ws,yang ada field GeneratePWS di wscal, itu ngga ada mbak di demo
atau easy.

setau ane cuma ada di hino.

di hino memang sudah ada package nya, cuma masih belum berfungsi saja.

custparam (INSERTPHRPAQ0125)
kayaknya yang di sini, query nya harus disesuaikan , soalnya fungsi ini saja yang bisa posting ke pa125

#3 - 08/06/2024 10:40 AM - Kezia Pawitra Yulianti

- Priority changed from Low to Normal

oke zid,
http://remote.minovais.com:3000/redmine/issues/2686

waktu itu bikin nya di port silver package mgkn ya.
Ya udah coba cek dl aja ya zid issue ini
Tks

#4 - 08/06/2024 04:09 PM - M Azid Wahyudi

http://remote.minovais.com:3000/redmine/issues/1421

#5 - 08/07/2024 04:35 PM - M Azid Wahyudi

- File CtriGenerateWorkSchedule.js added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
dear masbin , udah bisa di test ya

C:\ClientApp\2219 KJL\KJL_Base_Server66\UN\app\controller\masterdata\tm\CtrIGenerateWorkSchedule.js

note : ws calender hanya untuk generate tahunan dan juga generate ws baru tidak untuk di tengah2 kalau selain itu berarti generatenya pake menu
psw

makasih

#6 - 08/21/2024 02:19 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah berjalan di kjl

Files

CtrlGenerateWorkSchedule.js 8.03 KB 08/07/2024 M Azid Wahyudi
